petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSMPRKSetType

Set the type of MPRK scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMPRKSetType(TS ts,TSMPRKType mprktype)

Not collective

### Input Parameter

| ts | - timestepping context
| mprktype | - type of MPRK-scheme

### Options Database

-ts_mprk_type -<pm2,p2,p3>

### See Also

TSMPRKGetType(), TSMPRK, TSMPRKType

### Level

intermediate

### Location

src/ts/impls/multiratemprk.c

### Implementations

TSMPRKSetType_MPRK in src/ts/impls/multirate/mprk.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages